Signal::Mask(3)

NAME
Signal::Mask - Signal masks made easy

VERSION
version 0.008

SYNOPSIS
 use Signal::Mask;

 {
     local $Signal::Mask{INT} = 1;
     do_something();
 }
 #signal delivery gets postponed until now

DESCRIPTION
Signal::Mask is an abstraction around your process or thread signal mask. It is used to fetch and/or change the signal mask of the calling process or thread. The signal mask is the set of signals whose delivery is currently blocked for the caller. It is available as the global hash %Signal::Mask.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.